Subject: build failure of next-20220923 due to cbb0c02caf4b ("perf: arm64: Add SVE vector granule register to user regs")

From: "Sudip Mukherjee (Codethink)" <[email-masked]>
Date: Fri, 23 Sep 2022 12:42:37 +0100

Hi All,

A native build of next-20220923 on arm64 host has failed with the error:

./usr/include/asm/perf_regs.h:42:26: error: C++ style comments are not allowed in ISO C90
   42 |  PERF_REG_ARM64_VG = 46, // SVE Vector Granule
      |                          ^
./usr/include/asm/perf_regs.h:42:26: note: (this will be reported only once per input file)

I have not bisected but I think it will be from cbb0c02caf4b ("perf: arm64: Add SVE vector granule register to user regs").

I will be happy to test any patch or provide any extra log if needed.

-- 
Regards
Sudip